Bug 136297 - /usr/bin/yum refers to nonexisting dir ; yummain inaccessible
/usr/bin/yum refers to nonexisting dir ; yummain inaccessible
Status: CLOSED DUPLICATE of bug 136172
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-10-19 05:01 EDT by Emmanuel Thomé
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 14:06:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Emmanuel Thomé 2004-10-19 05:01:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012

Description of problem:
/usr/bin/yum contains:

sys.path.insert(0, '/home/skvidal/cvs/yum-HEAD')

as a consequence, yummain.py from /usr/share/yum-cli is not found.

yum does not run ; given the importance of yum, this is critical.

The concerned line should read:

sys.path.insert(0, '/usr/share/yum-cli')

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Type ``yum'' on the command line ; that's all.

Actual Results:  [root@tate thome]# yum
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
ImportError: No module named yummain

Expected Results:  
not this. An error as I haven't given any command, but not this sort
of crash

Additional info:

Here is some additional info from rpm -qi

Name        : yum
Version     : 2.1.8
Release     : 1
Build Date: Mon 18 Oct 2004 07:47:52 AM CEST
Build Host: tweety.build.redhat.com
Size        : 649456
Comment 1 Roozbeh Pournader 2004-10-19 06:40:35 EDT
This is actually a security bug. A user named "skivdal" will be able
to do whatever he likes to do when the superuser runs yum.
Comment 2 Emmanuel Thomé 2004-10-19 06:43:42 EDT
ShXt, once again this bad bugzilla search tool fooled me.

This bug has already been reported a number of times in the night (cf

Sorry for that.


*** This bug has been marked as a duplicate of 136172 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:06:26 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.